| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxPoint2DInt Class Reference

`#include <wx/geometry.h>`

## Public Member Functions
| wxPoint2DInt ()
| wxPoint2DInt (wxInt32 x, wxInt32 y)
| wxPoint2DInt (const wxPoint2DInt &pt)
| wxPoint2DInt (const wxPoint &pt)
void | GetFloor (wxInt32 *x, wxInt32 *y) const
void | GetRounded (wxInt32 *x, wxInt32 *y) const
wxDouble | GetVectorLength () const
wxDouble | GetVectorAngle () const
void | SetVectorLength (wxDouble length)
void | SetVectorAngle (wxDouble degrees)
void | Normalize ()
wxDouble | GetDistance (const wxPoint2DInt &pt) const
wxDouble | GetDistanceSquare (const wxPoint2DInt &pt) const
wxInt32 | GetDotProduct (const wxPoint2DInt &vec) const
wxInt32 | GetCrossProduct (const wxPoint2DInt &vec) const
wxPoint2DInt | operator- () const
wxPoint2DInt & | operator= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator+= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator-= (const wxPoint2DInt &pt)
wxPoint2DInt & | operator*= (wxDouble n)
wxPoint2DInt & | operator*= (wxInt32 n)
wxPoint2DInt & | operator/= (wxDouble n)
wxPoint2DInt & | operator/= (wxInt32 n)
| operator wxPoint () const
bool | operator== (const wxPoint2DInt &pt) const
bool | operator!= (const wxPoint2DInt &pt) const

## Public Attributes
wxInt32 | m_x
wxInt32 | m_y

## Constructor & Destructor Documentation

## ◆ wxPoint2DInt() [1/4]

wxPoint2DInt::wxPoint2DInt | ( |  | ) |

## ◆ wxPoint2DInt() [2/4]

wxPoint2DInt::wxPoint2DInt | ( | wxInt32 | x,
|  | wxInt32 | y
| ) |  |

## ◆ wxPoint2DInt() [3/4]

wxPoint2DInt::wxPoint2DInt | ( | const wxPoint2DInt & | pt | ) |

## ◆ wxPoint2DInt() [4/4]

wxPoint2DInt::wxPoint2DInt | ( | const wxPoint & | pt | ) |

## Member Function Documentation

## ◆ GetCrossProduct()

wxInt32 wxPoint2DInt::GetCrossProduct | ( | const wxPoint2DInt & | vec | ) | const

## ◆ GetDistance()

wxDouble wxPoint2DInt::GetDistance | ( | const wxPoint2DInt & | pt | ) | const

## ◆ GetDistanceSquare()

wxDouble wxPoint2DInt::GetDistanceSquare | ( | const wxPoint2DInt & | pt | ) | const

## ◆ GetDotProduct()

wxInt32 wxPoint2DInt::GetDotProduct | ( | const wxPoint2DInt & | vec | ) | const

## ◆ GetFloor()

void wxPoint2DInt::GetFloor | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

## ◆ GetRounded()

void wxPoint2DInt::GetRounded | ( | wxInt32 * | x,
|  | wxInt32 * | y
| ) |  | const

## ◆ GetVectorAngle()

wxDouble wxPoint2DInt::GetVectorAngle | ( |  | ) | const

## ◆ GetVectorLength()

wxDouble wxPoint2DInt::GetVectorLength | ( |  | ) | const

## ◆ Normalize()

void wxPoint2DInt::Normalize | ( |  | ) |

## ◆ operator wxPoint()

wxPoint2DInt::operator wxPoint | ( |  | ) | const

## ◆ operator!=()

bool wxPoint2DInt::operator!= | ( | const wxPoint2DInt & | pt | ) | const

## ◆ operator*=() [1/2]

wxPoint2DInt& wxPoint2DInt::operator*= | ( | wxDouble | n | ) |

## ◆ operator*=() [2/2]

wxPoint2DInt& wxPoint2DInt::operator*= | ( | wxInt32 | n | ) |

## ◆ operator+=()

wxPoint2DInt& wxPoint2DInt::operator+= | ( | const wxPoint2DInt & | pt | ) |

## ◆ operator-()

wxPoint2DInt wxPoint2DInt::operator- | ( |  | ) | const

## ◆ operator-=()

wxPoint2DInt& wxPoint2DInt::operator-= | ( | const wxPoint2DInt & | pt | ) |

## ◆ operator/=() [1/2]

wxPoint2DInt& wxPoint2DInt::operator/= | ( | wxDouble | n | ) |

## ◆ operator/=() [2/2]

wxPoint2DInt& wxPoint2DInt::operator/= | ( | wxInt32 | n | ) |

## ◆ operator=()

wxPoint2DInt& wxPoint2DInt::operator= | ( | const wxPoint2DInt & | pt | ) |

## ◆ operator==()

bool wxPoint2DInt::operator== | ( | const wxPoint2DInt & | pt | ) | const

## ◆ SetVectorAngle()

void wxPoint2DInt::SetVectorAngle | ( | wxDouble | degrees | ) |

## ◆ SetVectorLength()

void wxPoint2DInt::SetVectorLength | ( | wxDouble | length | ) |

## Member Data Documentation

## ◆ m_x

wxInt32 wxPoint2DInt::m_x

## ◆ m_y

wxInt32 wxPoint2DInt::m_y